summaryrefslogtreecommitdiffstats
path: root/foreman/ci/nat_setup.sh
diff options
context:
space:
mode:
authorDaniel Farrell <dfarrell@redhat.com>2015-06-01 13:58:16 -0400
committerDaniel Farrell <dfarrell@redhat.com>2015-06-01 14:04:46 -0400
commit84c696507fb513e6a76e6e50e5c65397cb45a381 (patch)
tree6789e466131eb10ff2b55271df10db59f08fda1a /foreman/ci/nat_setup.sh
parent8aa7febc9aaf75d8b2ebaf8c60631384fce46fff (diff)
Pin software dep versions, various Foreman scripts
Software released under 'Arno' should be pinned to at least the major version, to guarantee API backwards compatibility. I believe this commit covers the remaining dependency installs done by Foreman. JIRA: BGS-54 Change-Id: I616f4d201dab2ebf6c0b38b9a5aaa1510ba59bfd Signed-off-by: Daniel Farrell <dfarrell@redhat.com>
Diffstat (limited to 'foreman/ci/nat_setup.sh')
-rwxr-xr-xforeman/ci/nat_setup.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/foreman/ci/nat_setup.sh b/foreman/ci/nat_setup.sh
index 398a826..349e416 100755
--- a/foreman/ci/nat_setup.sh
+++ b/foreman/ci/nat_setup.sh
@@ -17,8 +17,9 @@ fi
systemctl disable firewalld
-##install iptables
-if ! yum -y install iptables-services; then
+# Install iptables
+# Major version is pinned to force some consistency for Arno
+if ! yum -y install iptables-services-1*; then
printf '%s\n' 'nat_setup.sh: Unable to install iptables-services' >&2
exit 1
fi